Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: "Dr. Werner Fink" <[email-masked]>
Date: Wed, 21 Dec 2016 12:08:47 +0100

On Wed, Dec 21, 2016 at 09:56:19AM +0100, martin rudalics wrote:
> 
> > which is the same font (even over different channels) but different height. I've
> > verified this by using
> >
> >    (custom-set-faces '(default ((t (:family "Source Code Pro" :height 110 :weight normal :slant normal :width normal)))))
> >    (custom-set-faces '(default ((t (:family "Monospace" :height 110)))))
> >
> > Would interesting how to compare the uperficial ifferent font face attributes
> > for the same font in (font-setting-change-default-font).
> 
> I'm missing you here.

The problem is that I currently miss the possibilty to check that
both (custom-set-face) do actual load and scale the same font file
to the same values ... without performing both (custom-set-face) I
mean here.  Similar there is no way I see to do this attribute/value
comparision in lisp/dynamic-setting.el for the currently used font
and the system as well as the custom font.

Werner

-- 
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr